
package nyangau.jmsadapter.mapclient;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the nyangau.jmsadapter.mapclient package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _MapResponse_QNAME = new QName("http://www.nyangau.org/jmsadapter/mapper", "mapResponse");
    private final static QName _Map_QNAME = new QName("http://www.nyangau.org/jmsadapter/mapper", "map");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: nyangau.jmsadapter.mapclient
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link MapResponse }
     * 
     */
    public MapResponse createMapResponse() {
        return new MapResponse();
    }

    /**
     * Create an instance of {@link Map }
     * 
     */
    public Map createMap() {
        return new Map();
    }

    /**
     * Create an instance of {@link ArrayOfString }
     * 
     */
    public ArrayOfString createArrayOfString() {
        return new ArrayOfString();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link MapResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nyangau.org/jmsadapter/mapper", name = "mapResponse")
    public JAXBElement<MapResponse> createMapResponse(MapResponse value) {
        return new JAXBElement<MapResponse>(_MapResponse_QNAME, MapResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Map }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.nyangau.org/jmsadapter/mapper", name = "map")
    public JAXBElement<Map> createMap(Map value) {
        return new JAXBElement<Map>(_Map_QNAME, Map.class, null, value);
    }

}
